# OpalSIPIMMediaType Class Reference

`#include <sipim.h>`

Inheritance diagram for OpalSIPIMMediaType:

[legend]
Collaboration diagram for OpalSIPIMMediaType:
[legend]

## Public Member Functions

| OpalSIPIMMediaType ()
virtual OpalMediaSession * | CreateMediaSession (OpalConnection &conn, unsigned sessionID) const
SDPMediaDescription * | CreateSDPMediaDescription (const OpalTransportAddress &localAddress)

## Constructor & Destructor Documentation

OpalSIPIMMediaType::OpalSIPIMMediaType | ( |  | ) |

## Member Function Documentation

virtual OpalMediaSession* OpalSIPIMMediaType::CreateMediaSession | ( | OpalConnection & | conn,
|  | unsigned | sessionID |
| ) |  |  | const`[virtual]`

Create a media session suitable for the media type.

Reimplemented from OpalMediaTypeDefinition.

SDPMediaDescription* OpalSIPIMMediaType::CreateSDPMediaDescription | ( | const OpalTransportAddress & | localAddress | ) | `[virtual]`

Implements OpalMediaTypeDefinition.

The documentation for this class was generated from the following file:

- sipim.h